"use strict";
this.name        = "SMLStation_Conditions";
this.author      = "phkb";
this.copyright   = "2017 phkb";
this.description = "Condition script for ships and equipment.";
this.licence     = "CC BY-NC-SA 3.0";

this.allowSpawnShip = function(shipKey) {
    if (shipKey === "griff_tetrahedron_mainhull_diamonds" && system.info.productivity < 4032) return true;
	if (shipKey === "griff_octahedron_mainhull_diamonds" && system.info.productivity > 4031 && system.info.productivity < 7000) return true;
	return false;
}